Loading...
Searching...
No Matches
Opm::PffGridVector< GridView, Stencil, Data, DofMapper > Class Template Reference

A random-access container which stores data attached to a grid's degrees of freedom in a prefetch friendly manner. More...

`#include <pffgridvector.hh>`

## Public Member Functions

| PffGridVector (const GridView &gridView, const DofMapper &dofMapper)
template<class DistFn>
void | update (const DistFn &distFn)
void | prefetch (const Element &elem) const
const Data & | get (const Element &elem, unsigned localDofIdx) const

## Detailed Description

template<class GridView, class Stencil, class Data, class DofMapper>
class Opm::PffGridVector< GridView, Stencil, Data, DofMapper >

A random-access container which stores data attached to a grid's degrees of freedom in a prefetch friendly manner.

This container often reduces the number of cache faults considerably, thus improving performance. On the flipside data cannot be written to on an individual basis and it requires significantly more memory than a plain array. PffVector stands for "PreFetch Friendly Grid Vector".

The documentation for this class was generated from the following file:

- opm/models/utils/pffgridvector.hh